from typing import List


class ListenedEvents(object):
    DISCOUNT_APPLIED = "DISCOUNT_APPLIED"
    ORDER_CANCELED = "ORDER_CANCELED"
    COMMON_CLEAN_DATABASES = "COMMON_CLEAN_DATABASES"
    BOH_ALERT_NOTIFICATION_ACK = "BOH_ALERT_NOTIFICATION_ACK"
    BOH_CHANGE_NOTIFICATION_CONFIG = "BOH_CHANGE_NOTIFICATION_CONFIG"
    BOH_ORDER_PICTURE = "BOH_ORDER_PICTURE"


def all_events():
    # type: (...) -> List[str]

    return [x for x in vars(ListenedEvents) if not x.startswith("__")]
